SUP-ADD(1)

NAME

sup-add - add a source to the Sup source list

SYNOPSIS

sup-add [options] [source uri...]

DESCRIPTION

Add one ore more sources to the Sup source list

For mbox files on local disk, use the form:

    mbox:<path to mbox file>, or

    mbox://<path to mbox file>

For Maildir folders, use the form:

    maildir:<path to Maildir directory>; or

    maildir://<path to Maildir directory>

OPTIONS

-a, --archive
    Automatically archive all new messages from thesesources.

-u, --unusual
    Do not automatically poll these sources for new messages.

-l STRING, --labels STRING
    A comma-separated set of labels to apply to all messages from this source

-f, --force-new
    Create a new account for this source, even if one already exists

-o STRING, --force-account STRING
    Reuse previously defined account user@hostname

-v, --version
    Print version and exit

-h, --help
    Show help message

FILES

$HOME/.sup/sources.yaml
    Configuration file for Sup mail sources

SEE ALSO

sup(1), sup-config(1)

REPORTING BUGS

You are welcome to submit bug reports to the Sup issue tracker, located at

<https://github.com/sup-heliotrope/sup/issues>

CONTACT INFORMATION

The Sup web page:
    <http://supmua.org/>

Code repository:
    <https://github.com/sup-heliotrope/sup/>

Sup Wiki:
    <https://github.com/sup-heliotrope/sup/wiki/>

Sup IRC channel:
    #sup @ freenode.net

Mailing list:
    supmua@googlegroups.com

    supmua+subscribe@googlegroups.com

    Archives: <https://groups.google.com/d/forum/supmua/>

COPYRIGHT

Copyright © 2006-2009 William Morgan <mworgan-sup@masanjin.net>

Copyright @ 2013-2014 Sup developers

Permission is granted to copy and distribute this manual under the terms of the GNU General Public License; either version 2 or (at your option) any later version.

AUTHORS
Sup was originally written by William Morgan <wmorgan-sup@masanjin.net> and is now developed and maintained by the Sup developers.